Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.service
Class AdminResource

    java.lang.Object
      |
      +--weblogic.security.service.ResourceBase
            |
            +--weblogic.security.service.AdminResource

public final class AdminResource
extends ResourceBase

The `AdminResource` class is used by a container to specify the Administrative resource (and method related to the resource) that a caller is attempting to access.

The `toString` format (which is produced by the `ResourceBase` class) for an Administrative resource is:
`type=<adm>, category=UserLockout, realm=myRealm, action=unlockuser` or
`type=<adm>, category=Configuration`
`type=<adm>, category=FileUpload`
`type=<adm>, category=FileDownload`
`type=<adm>, category=ViewLog`
(The former is generic and used with several different categories, while the latter is used to access MBean fields.)

Author:
  Copyright (c) 2002 by BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class weblogic.security.service.ResourceBase
`id, length, NO_PARENT, parent, resStr, SCOPE_RESOURCE_ACTION, values`

Constructor Summary
`AdminResource(java.lang.String category, java.lang.String realm, java.lang.String action)` Constructs a new `AdminResource` with a target name composed from the `category`, `realm`, and `action` parameters.

Method Summary
`java.lang.String` | `getActionName()` Gets the name of the action being requested on the `AdminResource`.
`java.lang.String[]` | `getKeys()` Gets keys for the `AdminResource`.
`java.lang.String` | `getResourceName()` Gets the name of the `AdminResource`.
`java.lang.String` | `getResourceType()` Gets the category of the `AdminResource`.
`java.lang.String` | `getType()` Gets the type of this resource (`AdminResource`).
`void` | `initialize(java.lang.String category, java.lang.String realm, java.lang.String action)` Deprecated. As of 04/01/02, the constructor should be used instead.
`protected Resource` | `makeParent()` Gets a `Resource` object that represents the parent of the current `AdminResource`.

Methods inherited from class weblogic.security.service.ResourceBase
`appendArrayValue, appendValue, equals, getFieldType, getID, getParentResource, getRepeatingFieldIndex, getRepeatingFieldTerminatingIndex, getValues, hashCode, init, init, reset, toString, writeResourceString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AdminResource

    public AdminResource(java.lang.String category,
                         java.lang.String realm,
                         java.lang.String action)

  Constructs a new `AdminResource` with a target name composed from the `category`, `realm`, and `action` parameters.

  Parameters:
    `category` - a String indicating the category of Administrative resource. Valid values for this parameter are restricted to the following:
    - `UserLockout`
    - `Configuration`
    - `FileUpload`
    - `FileDownload`
    - `ViewLog`

    `realm` - a String name for the Administrative resource.

    `action` - a String indicating the action being requested on the resource. A value of `null` indicates that the security policy for the resource pertains to all actions that match the other parameters of the resource specification, without consideration for the action name. Valid values for a `UserLockout` category of Administrative resource are restricted to the following:
    - `unlockuser`
    Valid values for a FileDownload specify one of a list of possible resource types that are to be downloaded and are restricted to the following types:
    - `wl_component_request`
    - `wl_ear_resource_request`
    - `ear_request`
    - `wl_xml_entity_request`
    - `wl_server_certificate_request`
    - `wl_server_certificate_chain_request`
    - `wl_jsp_refresh_request`
    - `file`
    - `wl_init_replica_request`
    - `wl_file_realm_request`
    - `wl_managed_server_independence_request`

Method Detail

### initialize

    public void initialize(java.lang.String category,
                           java.lang.String realm,
                           java.lang.String action)

  Deprecated. As of 04/01/02, the constructor should be used instead.

  Replaces the `category`, `realm`, and `action` parameters of the resource with the specified values.

### getType

    public java.lang.String getType()

  Gets the type of this resource (`AdminResource`).

  Returns:
    the type of this resource, represented as a String.

### getKeys

    public java.lang.String[] getKeys()

  Gets keys for the `AdminResource`.

  Returns:
    an array of Strings containing the `AdminResource`'s keys.

  Overrides:
    getKeys in class ResourceBase

### makeParent

    protected Resource makeParent()

  Gets a `Resource` object that represents the parent of the current `AdminResource`. If the resource does not have a parent, the value of `null` must be returned.

  The parentage hierarchy for the `AdminResource` (that is, the values returned from successive calls to this method) is:

  `type=<adm>, category=UserLockout, realm=myRealm
  type=<adm>, category=UserLockout
  type=<adm>`
  or
  `type=<adm>` when accessing MBean fields.

  Returns:
    the `Resource` object of the parent resource.

  Overrides:
    makeParent in class ResourceBase

### getResourceType

    public java.lang.String getResourceType()

  Gets the category of the `AdminResource`.

  Returns:
    the category of the `AdminResource`, represented as a String.

### getActionName

    public java.lang.String getActionName()

  Gets the name of the action being requested on the `AdminResource`.

  Returns:
    the name of the action being requested on the `AdminResource`, represented as a String.

### getResourceName

    public java.lang.String getResourceName()

  Gets the name of the `AdminResource`.

  Returns:
    the name of the `AdminResource`, represented as a String.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference